Retrieve a Subscription Schedule
Retrieves the details of an existing subscription schedule by its ID.
Path Parameters
- Type: string
id requiredSubscription schedule ID (ULID).
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/v1/subscription-schedules/{id}
curl https://api.paypercut.io/v1/subscription-schedules/01HD7M6DRKZ4Q4QEVWJB0RC1S6 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "01HD7M6DRKZ4Q4QEVWJB0RC1S6",
"account": "01XXXXXXXXXXXXXXXXXXXXXXX",
"customer": "01KJQ34MWYH0TES77RDXA8T8TT",
"status": "ACTIVE",
"end_behavior": "RELEASE",
"subscription": "01XXXXXXXXXXXXXXXXXXXXXXXX",
"released_subscription": null,
"default_settings": {
"default_payment_method": "pm_xyz",
"collection_method": "charge_automatically",
"billing_cycle_anchor_config": null
},
"metadata": null,
"livemode": false,
"start_date": "2026-03-01T00:00:00Z",
"current_phase_index": 1,
"current_phase": {
"id": "sp_01HD7M6DRKZ4Q4QEVWJB0RC1S6",
"phase_index": 1,
"start_date": "2026-04-01T00:00:00Z",
"end_at": null
},
"next_action_at": null,
"canceled_at": null,
"completed_at": null,
"released_at": null,
"phases": [
{
"start_date": "2026-03-01T00:00:00Z",
"end_date": "2026-04-01T00:00:00Z",
"phase_index": 0,
"collection_method": "charge_automatically",
"items": [
{
"price": "price_setup_fee",
"unit_amount": 5000,
"currency": "usd"
},
{
"price": "price_monthly",
"unit_amount": 1000,
"currency": "usd",
"recurring": {
"interval": "monthly",
"interval_count": 1,
"usage_type": "licensed"
}
}
]
},
{
"start_date": "2026-04-01T00:00:00Z",
"phase_index": 1,
"collection_method": "charge_automatically",
"items": [
{
"price": "price_monthly",
"unit_amount": 1000,
"currency": "usd",
"recurring": {
"interval": "monthly",
"interval_count": 1,
"usage_type": "licensed"
}
}
]
}
],
"application": null,
"customer_account": null,
"billing_mode": null,
"created": "2026-02-28T12:00:00Z",
"updated_at": "2026-04-01T00:00:00Z"
}
